WindLab Tutorial GeorgeDeodatis 1996 Example SimulationPoints
Tutorial |
Topic |
---|
Wind Simulation Points (George Deodatis, 1996) |
Level |
Beginner |
Time to complete |
10 minutes |
Authors |
Koffi Daniel |
LabRPS version |
0.1.0 or above |
Example files |
None |
See also |
None |
Introduction
Deodatis (1996) provides a comprehensive method for simulating ergodic wind velocity time histories by modeling the wind as a stationary random process with well-defined statistical properties. His approach is particularly focused on multivariate wind simulations (i.e., for multiple correlated wind components at different locations in space. These locations where the wind velocity components are considered in space are called Simulation Point in WindLab. This example is meant to show how a wind simulation points in LabRPS's WindLab Workbench looks like in the LabRPS interface and how their coordinates can be visualized. Every computation in LabRPS needs a RPS Feature. Here we rather need a WindLab Feature (RPS Feature) which is should be provided by a plugin.
Requirements
- A compatible version of LabRPS designated in the tutorial overview.
- Use the Help → About LabRPS to see the version of LabRPS installed.
- No external software is needed for the computation of the locations coordinates as well as for visualizing the results.
- Install the plugin that will provide the feature for the computation of the locations coordinates.
Plugin Installation
The first step is to start LabRPS by double-cliking its icon. Then active the WindLab workbench as shown in the following picture. Note that plugins are loaded according to the active workbench. If you do not activate the WindLab workbench, no wind velocity related plugin will be loaded.
According to Deodatis (1996), the simulation points are three in total and their distribution in space does not follow any particular distribution in space. To compute such simulation distribution, the [WindLabPlugin_GeneralDistribution_kfdani|General Distribution]] feature from the WindLab Plugin can be used. Let's install the feature first. Go to Tools → Feature Manager..., select the WindLabPlugin in the list and click Install as shown in the following picture.
The Feature installation wizard will be launched. Please install the feautre by following the steps as shown in the following pictures:
Create New Feature
Please follow the following steps to create new WindLab simulation and add new Location distribution feature to it.
- Press the New button to create new document or
- Press the New Simulation button to create new WindLab simulation or
- Press the Create Feature button to create new Location Distribution feature or
Input Points Coordinates
We have created a locations distribution (simulation points) feature of type General Distribution. Now, we have to use the created feature to compute the coordinates of the simulation points. In the tree view, click on the simulationPoints feature, all the properties of this feature will be shown in the property editor. In the property editor scroll down and find a property named Locations. Click the ... near that property value to show a the vectors dialog that will allow you to input the coordinates of the three points: Point1(0,0,35000mm), Point2(0,0,40000mm) and Point3(0,0,140000mm). Before inputting the points coordinates you should first click the Table to expand the points list. Note that value input in the vectors dialog has default value depending on the unit system you are using. Here are using the default unit system which is the Standard(mm/kg/s/degree). That is why we have to convert our points coordinates to millimeter before entering them into the vector dialog.
Showing Results
Now that everything is ready, you can display the simulation points in table form. Right click on the feature in the tree view and choose Compute Location Array in the context menu. The points will be shown as follows.
Scripting
you can manipulate the create object easily through scripting as follows:
# The document where the feature is, The active feature here. doc = App.ActiveDocument # Now get the feature by its name obj = doc.getObject("SimulationPoints") # You can assign the three points to the Locations property as follows obj.Locations = [(0.00, 0.00, 35000.00), (0.00, 0.00, 40000.00), (0.00, 0.00, 140000.00), ] # You can print the points print(obj.Locations) # You can check the z coordinate of the first point for example print(obj.Locations[0].z)
you can find the entire scripting for this tutorial here.
What next?
- We are now finished with the basic workflow for the WindLab Workbench feature creation.
- You are now prepared to do the second WindLab tutorial.
- We will create mean wind profile that will use the simulation points coordinates created in this tutorial.
- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, AppImage
- Basics: About LabRPS, Interface, RPS Objects, Object name, Preferences, Workbenches, Document structure, Properties, Help LabRPS, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, WindLab, SeismicLab, SeaLab, UserLab, Spreadsheet, Plot, Web
- Hubs: User hub, Power users hub, Developer hub